AWS
probe Route 53

# get_health_check_status

Get the status of the specified health check

Run it now
View details

Type | probe
Module | chaosaws.route53.probes
Name | get_health_check_status
Return | mapping

Usage

JSON

    {
      "name": "get-health-check-status",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.route53.probes",
        "func": "get_health_check_status",
        "arguments": {
          "check_id": ""
        }
      }
    }

YAML

    name: get-health-check-status
    provider:
      arguments:
        check_id: ""
      func: get_health_check_status
      module: chaosaws.route53.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
check_id | string |  | Yes | Health Check ID | Identifier of a health check

- check_id: The health check id

Signature

    def get_health_check_status(
            check_id: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe Route 53

  ## `get_hosted_zone`

  Pull information regarding a specific zone id
- AWS
  action Route 53

  ## `associate_vpc_with_zone`

  Associate a VPC with a private hosted zone
- AWS
  action Route 53

  ## `associate_vpc_with_zone`

  Associate a VPC with a private hosted zone